# Murath Machinist.

Adds The Murath Machinist to ROR2, Based off of the Murath and their ships in Rebel Galaxy.
Multiplayer compatible.

![Lobby](https://d.furaffinity.net/art/uninvitedcalamity/1658699969/1658699969.uninvitedcalamity_lobby.jpg)

![Idle](https://d.furaffinity.net/art/uninvitedcalamity/1658700044/1658700044.uninvitedcalamity_idlecropped.png)

## Overview

The Murath Machinist is a maneuverable ranged survivor with high range and damage.
However, he has low health and a large hitbox.

### Chargeable attacks
All of Murath Machinist's attacks are chargeable.

### Electro Bolt Cannon
Electro Bolt Cannon is a chargable attack, as it charges it's accuracy and burst firerate increases. 
It can be spammed to produce a constant barrage of innacurate projectiles.
Increased attack speed increases the rate this ability charges.

### Dumbfire Impulse missile
Dumbfire Impulse missile is a low damage attack with high force.
Can be charged to increase the force it applies to enemies within it's radius. 
Increased Firerate raises the charge multipler.

### Boost
Quickly move in the direction you're aiming.
Boost Uses a downward arcing trajectory and preserves some velocity on exit. This can be used to land gently on hard to reach places, but can also cause fall damage if you're not careful.

### Overcharge
Overcharge fires four lasers, alternating between cannons each fixed update.
Can be charged to increase Damage and Proc coefficient.
Increased Firerate raises the charge multiplier.

## Known issues
- When using the Secondary or Special after another ability, the reticle bloom does not always react properly and is locked at 0 untill the ability ends.
- Shading is a little finiky on the left gun in the character select screen.
- The laser material throws red errors, but doesn't prevent functionality.

## Objectives
- Remove old imports from the Henry project.
- Add sounds.
- Write lore.
- Fill out description on character select screen.
- Add ArmouredCore x Gundam x Dead space inspired alt skin for Mastery.
- Add Helmet versions.
- Add alt Utility based on movement direction.
- Add Arrival animation to lobby.
- Add icon for default skin

## Possible objectives
- Add Item displays.
- Make combatible with Chen's Gradius mod.
- Add some alternate meshes for meeting challenges.
- I would like to give him an alternate Special that acts like the Ramming deflectors in Rebel Galaxy.

## Version 1.1.0
- Updated Tail physics, tail now bends as one cohesive object.
- Added custom sound for Dumbfire missile Explosion

## Version 1.0.4
- Removed Screen shake on Primary
- Reduced Screen shake on Secondary

## Version 1.0.3
- Added Electrobolt Projectile
- Added Detonation effect to Electro bolt Projectile
- Added sounds for Electrobolt, Missile, Boost and Laser
- Modified Electrobolt cannon to set it's charge state as the next state if it detects skill 1 activation in the last 20% duration of the skill

## Version 1.0.2
- Updated readme to hopefully use the syntax properly this time

## Version 1.0.1
- Removed Debug logs.
- Added explosion effect to Dumbfire missile.
- Added Icons.
- Changed Dumbfire missile's mesh to custom missile mesh.
- Updated Readme

## Version 1.0.0
- Initial upload.

# Credit
- Model, Animations and Abilities made by Uninvited Calamity (Me :D).
- Character built using the Henry Example by ArcPh1r3.
- Custom sound components sourced from Zapsplat.com.

# Special thanks to:
- iDeathHD for clarifying how to update this.
- Snowz for feedback